	LIST	P = 16F877, R = DEC
	#include	p16f877.inc

	__CONFIG	B'11111100111010'

	#include	znaky.inc
	#include	displej.inc
	#include	pameti.inc

;---------------------------------------------
;||||||||||| KONSTANTY PROGRAMU ||||||||||||||
;---------------------------------------------

#DEFINE	DB4	PORTE,2		; PINY PRO OVLADANI DISPLEJE
#DEFINE	DB5	PORTE,1
#DEFINE	DB6	PORTE,0
#DEFINE	DB7	PORTA,4
#DEFINE	E	PORTB,1
#DEFINE	RW	PORTB,2
#DEFINE	RS	PORTB,3

OFFRAM	EQU	H'20'		; ZACATEK VOLNE PAMETI "RAM"

	CBLOCK	OFFRAM
	TMH:1
	TML:1
	DDATA:1

	XDATA:1
	XADRESA:1

	CITAC:1
	ENDC

	ORG	0
	NOP
	NOP
	NOP

	banksel	ADCON1
	MOVLW	B'00000110'	; nastav PORTA jako "logicky"
	MOVWF	ADCON1
	banksel	0

	CALL	INITDISP

	MOVLW	D'11'	; ulozeni napisu do EEPROM (ale pozpatku!)
	MOVWF	XADRESA
	MOVLW	ZNAK_T
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_E
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_S
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_T
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_SP
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_E
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_E
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_P
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_R
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_O
	MOVWF	XDATA
	CALL	EEWRITE
	DECF	XADRESA,F
	MOVLW	ZNAK_M
	MOVWF	XDATA
	CALL	EEWRITE

	MOVLW	D'11'
	MOVWF	CITAC
	MOVLW	D'0'
	CALL	SETPOS
LOOP1	MOVF	CITAC,W	; opetovne cteni napisu z EEPROM a vypisovani na displej
	CALL	EEREAD
	CALL	PUTZNAK
	DECFSZ	CITAC,F
	GOTO	LOOP1
	
LOOP2	GOTO	LOOP2

	DISPLEJ	TMH,TML,DDATA,DB4,DB5,DB6,DB7,E,RW,RS
	
EEWRITE	EEWRITE_	XDATA,XADRESA,0
	RETURN

EEREAD	EEREAD_
	RETURN

	END
